Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class EnumHelper

Field Summary
`int` | `FS`
`int` | `PUBLIC_FS`

Constructor Summary
`EnumHelper()`

Method Summary
`static void` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
`static ClassNode` | `makeEnumNode(String name, int modifiers, def interfaces, ClassNode outerClass)`

Constructor Detail

### EnumHelper

    EnumHelper()

Method Detail

### addEnumConstant

    public static void addEnumConstant(ClassNode enumClass, String name, Expression init)

### makeEnumNode

    public static ClassNode makeEnumNode(String name, int modifiers, def interfaces, ClassNode outerClass)